> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Campaign List

> Retrieve Campaigns



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/campaign/list
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/campaign/list:
    get:
      tags:
        - Campaign
      summary: Read Campaign List
      description: Retrieve Campaigns
      operationId: read_campaign_list_api_v1_campaign_list_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_ICampaignListRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_ICampaignListRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_ICampaignListRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[ICampaignListRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_ICampaignListRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ICampaignListRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[ICampaignListRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ICampaignListRead:
      properties:
        name:
          type: string
          title: Name
        widget_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Widget Id
        type:
          $ref: '#/components/schemas/CampaignType'
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        status:
          $ref: '#/components/schemas/CampaignStatus'
          default: not_started
        execution_weekdays:
          items: {}
          type: array
          title: Execution Weekdays
          default: []
        time_window_start:
          anyOf:
            - type: string
              format: time
            - type: 'null'
          title: Time Window Start
        time_window_end:
          anyOf:
            - type: string
              format: time
            - type: 'null'
          title: Time Window End
        time_zone:
          type: string
          title: Time Zone
          default: UTC
        start_time:
          type: string
          format: date-time
          title: Start Time
        interval:
          type: integer
          title: Interval
        enabled:
          type: boolean
          title: Enabled
          default: false
        id:
          type: string
          format: uuid
          title: Id
        contacts:
          items: {}
          type: array
          title: Contacts
          default: []
        widget_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Widget Name
        contact_status_counts:
          additionalProperties:
            type: integer
          type: object
          title: Contact Status Counts
          default: {}
      type: object
      required:
        - name
        - type
        - start_time
        - interval
        - id
      title: ICampaignListRead
    CampaignType:
      type: string
      enum:
        - outbound_call
      title: CampaignType
    CampaignStatus:
      type: string
      enum:
        - not_started
        - to_be_run
        - in_progress
        - paused
        - cancelled
        - completed
      title: CampaignStatus
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````